Skip to main content
GET
List Exports

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
status,
-status

Response

200 - application/json

A dictionary with an exports property that contains an array of exports. Each entry in the array is a separate export object. The list will return the following types of exported objects: voucher, redemption, publication, customer, order, points_expiration, or voucher_transactions.

The channel parameter in the response body returns the channel that was used to generate the particular export. The user_id identifies the specific user who initiated the export through the Voucherify Dashboard; this user_id is returned when the channel value is WEBSITE.

Response body schema for GET v1/exports.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about exports.

Available options:
list
data_ref
enum<string>
default:exports
required

Identifies the name of the attribute that contains the array of exports.

Available options:
exports
exports
(Export Voucher · object | Export Redemption · object | Export Customers · object | Export Publication · object | Export Orders · object | Export Points Expiration · object | Export Vouchers Transactions · object)[]
required

An array of export objects.

total
integer
required

Total number of exports.

Last modified on February 3, 2026